"use strict";
/*
 * @microeinhundert/radonis-server
 *
 * (c) Leon Seipp <l.seipp@microeinhundert.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.E_PLUGIN_NOT_INSTALLABLE = exports.E_PLUGIN_ALREADY_INSTALLED = exports.E_CONFLICTING_PLUGINS = exports.E_CANNOT_SERIALIZE_MANIFEST = void 0;
const radonis_shared_1 = require("@microeinhundert/radonis-shared");
exports.E_CANNOT_SERIALIZE_MANIFEST = (0, radonis_shared_1.createError)('The Radonis manifest cannot be serialized. Make sure you only pass data to islands that can be serialized by superjson', 'E_CANNOT_SERIALIZE_MANIFEST', 500);
exports.E_CONFLICTING_PLUGINS = (0, radonis_shared_1.createError)('The plugin "%s" conflicts with the following installed plugins: %s', 'E_CONFLICTING_PLUGINS', 500);
exports.E_PLUGIN_ALREADY_INSTALLED = (0, radonis_shared_1.createError)('The plugin "%s" is already installed', 'E_PLUGIN_ALREADY_INSTALLED', 500);
exports.E_PLUGIN_NOT_INSTALLABLE = (0, radonis_shared_1.createError)('The plugin "%s" is not installable in the "%s" environment', 'E_PLUGIN_NOT_INSTALLABLE', 500);
//# sourceMappingURL=exceptions.js.map