"use strict";
/*
 * @microeinhundert/radonis-server
 *
 * (c) Leon Seipp <l.seipp@microeinhundert.com>
 *
 * Adapted from https://github.com/fastify/fastify-dx
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateHtmlStream = void 0;
async function* generateHtmlStream({ head, body, footer, }) {
    yield head();
    if (body) {
        for await (const chunk of await body()) {
            yield chunk;
        }
    }
    yield await footer();
}
exports.generateHtmlStream = generateHtmlStream;
//# sourceMappingURL=generate_html_stream.js.map