"use strict";
/*
 * @microeinhundert/radonis-server
 *
 * (c) Leon Seipp <l.seipp@microeinhundert.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformRouteNode = void 0;
const get_route_identifier_1 = require("./get_route_identifier");
/**
 * Transform a RouteNode to match the shape expected by the manifest
 */
function transformRouteNode(routeNode) {
    return {
        identifier: (0, get_route_identifier_1.getRouteIdentifier)(routeNode),
        pattern: routeNode.pattern,
        params: {},
        searchParams: {},
    };
}
exports.transformRouteNode = transformRouteNode;
//# sourceMappingURL=transform_route_node.js.map