"use strict";
/*
 * @microeinhundert/radonis-server
 *
 * (c) Leon Seipp <l.seipp@microeinhundert.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildTitle = void 0;
const radonis_shared_1 = require("@microeinhundert/radonis-shared");
/**
 * Build the value for the head title tag
 */
function buildTitle(title, prefix, suffix, separator) {
    return (0, radonis_shared_1.separateArray)([prefix, title, suffix].filter(Boolean).map((part) => part.trim()), separator).join(' ');
}
exports.buildTitle = buildTitle;
//# sourceMappingURL=build_title.js.map