import type { AssetsManagerContract, ManifestManagerContract, RendererContract, ServerContract } from '@microeinhundert/radonis-types';
import type { ReactElement } from 'react';
/**
 * Wrap a ReactElement with the required context providers
 */
export declare function withContextProviders(renderer: RendererContract, assetsManager: AssetsManagerContract, manifestManager: ManifestManagerContract, server: ServerContract, children: ReactElement): ReactElement;
//# sourceMappingURL=with_context_providers.d.ts.map