"use strict";
/*
 * @microeinhundert/radonis-server
 *
 * (c) Leon Seipp <l.seipp@microeinhundert.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PluginsManager = exports.HydrationManager = exports.serverContext = exports.rendererContext = exports.manifestManagerContext = exports.assetsManagerContext = void 0;
/*
 * Contexts
 */
var assets_manager_context_1 = require("./src/contexts/assets_manager_context");
Object.defineProperty(exports, "assetsManagerContext", { enumerable: true, get: function () { return assets_manager_context_1.assetsManagerContext; } });
var manifest_manager_context_1 = require("./src/contexts/manifest_manager_context");
Object.defineProperty(exports, "manifestManagerContext", { enumerable: true, get: function () { return manifest_manager_context_1.manifestManagerContext; } });
var renderer_context_1 = require("./src/contexts/renderer_context");
Object.defineProperty(exports, "rendererContext", { enumerable: true, get: function () { return renderer_context_1.rendererContext; } });
var server_context_1 = require("./src/contexts/server_context");
Object.defineProperty(exports, "serverContext", { enumerable: true, get: function () { return server_context_1.serverContext; } });
/*
 * Services
 */
var main_1 = require("./src/hydration_manager/main");
Object.defineProperty(exports, "HydrationManager", { enumerable: true, get: function () { return main_1.HydrationManager; } });
var main_2 = require("./src/plugins_manager/main");
Object.defineProperty(exports, "PluginsManager", { enumerable: true, get: function () { return main_2.PluginsManager; } });
//# sourceMappingURL=standalone.js.map